%define glib2_version 2.15.3
%define pango_version 1.2.0
%define gtk2_version 2.6.0
%define libgnome_version 2.8.0
%define libgnomeui_version 2.8.0
%define libglade_version 2.4.0
%define gnome_panel_version 2.20.1-5
%define libgtop2_version 2.12.0
%define gail_version 1.2.0
%define libbonoboui_version 2.3.0
%define gstreamer_version 0.10.14
%define gstreamer_plugins_version 0.10.14
%define gstreamer_plugins_good_version 0.10.6
%define libxklavier_version 4.0
%define libwnck_version 2.9.3
%define libgnome_desktop_version 2.11.1
%define gnome_utils_version 2.8.1
%define dbus_version 0.90
%define dbus_glib_version 0.70
%define libnotify_version 0.3.2
%define pygobject_version 2.6
%define pygtk_version 2.6
%define gnome_python_version 2.10
%define gconf_version 2.14.0
%define libgnomekbd_version 2.27.4

%define po_package gnome-applets-2.0

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define build_stickynotes 0

Summary:        Small applications for the GNOME panel
Name:		gnome-applets
Version:	2.28.0
Release: 	7%{?dist}
Epoch:          1
License:	GPLv2+ and GFDL
Group:          User Interface/Desktops
URL:		http://www.gnome.org/
Source: 	http://download.gnome.org/sources/%{name}/2.28/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch2:		gnome-applets-2.23.3-use-builtin-apm.patch
Patch11:        gnome-applets-2.15.1.1-dont-require-display.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=424639
Patch31:        gnome-applets-2.18.0-fix-find.patch

# do the nullapplet dance for battstat
Patch40:	gnome-applets-null-battstat.patch
# and keep the mixer hidden away from the add to panel dialog
Patch41:	gnome-applets-no-mixer-icon.patch
# do the nullapplet dance for stickynotes
Patch42:	stickynotes-null.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=599728
Patch44:	seriesid-clash.patch

# make trashapplet docs show up in rarian/yelp
Patch45:        gnome-applets-doc-category.patch

# updated translations
# https://bugzilla.redhat.com/show_bug.cgi?id=575714
Patch46:        gnome-applets-translations.patch

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  libgnome-devel >= %{libgnome_version}
BuildRequires:  gnome-panel-devel >= %{gnome_panel_version}
BuildRequires:  libglade2-devel >= %{libglade_version}
BuildRequires:  libgtop2-devel >= %{libgtop2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gail-devel >= %{gail_version}
BuildRequires:  libxklavier-devel >= %{libxklavier_version}
BuildRequires:  gstreamer-devel >= %{gstreamer_version}
BuildRequires:  gstreamer-plugins-base-devel >= %{gstreamer_plugins_version}
BuildRequires:  gstreamer-plugins-good-devel >= %{gstreamer_plugins_good_version}
BuildRequires:  /usr/bin/automake
BuildRequires:  libbonoboui-devel >= %{libbonoboui_version}
BuildRequires:  libwnck-devel >= %{libwnck_version}
BuildRequires:  gnome-desktop-devel >= %{libgnome_desktop_version}
BuildRequires:  gnome-utils >= %{gnome_utils_version}
BuildRequires:  libnotify-devel >= %{libnotify_version}
BuildRequires:  pygobject2-devel >= %{pygobject_version}
BuildRequires:  pygtk2-devel >= %{pygtk_version}
BuildRequires:  gnome-python2-devel >= %{gnome_python_version}
BuildRequires:  gnome-python2-applet
BuildRequires:  gucharmap-devel
BuildRequires:  dbus-devel >= %{dbus_version}
BuildRequires:  dbus-glib-devel >= %{dbus_glib_version}
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  which
BuildRequires:  libtool autoconf gettext intltool
BuildRequires:  pkgconfig
BuildRequires:  gnome-icon-theme
BuildRequires:  libgnomekbd-devel >= %{libgnomekbd_version}
BuildRequires:  libxslt
# for patch 39
BuildRequires:  NetworkManager-devel
BuildRequires:  libgweather-devel >= 2.22.1
# For cpufreq
BuildRequires: 	dbus-devel
BuildRequires:  polkit-devel >= 0.92

Requires:	gnome-panel >= %{gnome_panel_version}
Requires:	libxklavier >= %{libxklavier_version}
Requires:	gstreamer-plugins-base >= %{gstreamer_plugins_version}
Requires:	gstreamer-plugins-good >= %{gstreamer_plugins_good_version}

Requires:	dbus >= %{dbus_version}

Requires(pre): GConf2 >= %{gconf_version}
Requires(preun): GConf2 >= %{gconf_version}
Requires(post): GConf2 >= %{gconf_version}

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

# For invest-applet
Requires:	gnome-python2-applet
Requires:	gnome-python2-libegg

Obsoletes:      battstat_applet
Obsoletes:      gnome-cpufreq-applet

# since we are installing .pc files
Requires:	pkgconfig

%description
The gnome-applets package contains small applications which generally
run in the background and display their output to the GNOME  panel.
It includes a clock, a character palette, load monitors, little toys,
and more.

%prep
%setup -q
%patch2 -p1 -b .use-builtin-apm
%patch11 -p1 -b .dont-require-display

%patch31 -p1 -b .fix-find
%patch40 -p1 -b .battstat-null
%patch41 -p1 -b .no-mixer-icon
%patch42 -p1 -b .stickynotes-null

%patch44 -p1 -b .seriesid
%patch45 -p1 -b .doc-category
%patch46 -p2 -b .translations

autoreconf -i -f


%build
%configure			\
	--enable-suid=no 	\
%if %{build_stickynotes}
	--enable-stickynotes	\
%endif
	--disable-battstat	\
	--disable-scrollkeeper 	\
	--enable-mini-commander \
	--enable-gtk-doc

# drop unneeded direct library deps with --as-needed
# libtool doesn't make this easy, so we do it the hard way
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool

make

# strip unneeded translations from .mo files
# ideally intltool (ha!) would do that for us
# http://bugzilla.gnome.org/show_bug.cgi?id=474987
cd po
grep -v ".*[.]desktop[.]in[.]in$\|.*[.]server[.]in[.]in$" POTFILES.in > POTFILES.keep
intltool-update --pot
for p in *.po; do
  msgmerge $p %{po_package}.pot > $p.out
  msgfmt -o `basename $p .po`.gmo $p.out
done

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# save space by linking identical images in translated docs
for helpdir in $RPM_BUILD_ROOT%{_datadir}/gnome/help/*; do
  for f in $helpdir/C/figures/*.png; do
    b="$(basename $f)"
    for d in $helpdir/*; do
      if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
        g="$d/figures/$b"
        if [ -f "$g" ]; then
          if cmp -s $f $g; then
            rm "$g"; ln -s "../../C/figures/$b" "$g"
          fi
        fi
      fi
    done
  done
done

%find_lang %{po_package} --all-name --with-gnome

# Clean up unpackaged files
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/libgweather.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libgweather.a

# drop non-XKB support files
rm -rf $RPM_BUILD_ROOT%{_datadir}/xmodmap


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule                                        \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mini-commander-global.schemas     \
	    %{_sysconfdir}/gconf/schemas/mini-commander.schemas            \
%if %{build_stickynotes}
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
%endif
	    %{_sysconfdir}/gconf/schemas/multiload.schemas > /dev/null
%{_libexecdir}/gnome-applets/mc-install-default-macros >& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule                                    \
	    %{_sysconfdir}/gconf/schemas/battstat.schemas                  \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gswitchit.schemas                 \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mini-commander-global.schemas     \
	    %{_sysconfdir}/gconf/schemas/mini-commander.schemas            \
%if %{build_stickynotes}
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
%endif
	    %{_sysconfdir}/gconf/schemas/multiload.schemas >& /dev/null || :
  if [ -f %{_sysconfdir}/gconf/schemas/battstat.schemas ]; then
    gconftool-2 --makefile-uninstall-rule 				\
	    %{_sysconfdir}/gconf/schemas/battstat.schemas >& /dev/null || :
  fi
  if [ -f %{_sysconfdir}/gconf/schemas/mixer.schemas ]; then
     gconftool-2 --makefile-uninstall-rule 				\
     	     %{_sysconfdir}/gconf/schemas/mixer.schemas >& /dev/null || :
  fi
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule                                    \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mini-commander-global.schemas     \
	    %{_sysconfdir}/gconf/schemas/mini-commander.schemas            \
%if %{build_stickynotes}
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
%endif
	    %{_sysconfdir}/gconf/schemas/multiload.schemas >& /dev/null || :
fi

%postun
/sbin/ldconfig
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/22x22/apps/*
%{_datadir}/icons/hicolor/24x24/apps/*
%{_datadir}/icons/hicolor/32x32/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome-applets
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{python_sitelib}/invest/
%{_libexecdir}/accessx-status-applet
%{_libexecdir}/charpick_applet2
%{_libexecdir}/cpufreq-applet
%{_libexecdir}/drivemount_applet2
%{_libexecdir}/geyes_applet2
%{_libexecdir}/gnome-applets/
%{_libexecdir}/gnome-keyboard-applet
%{_libexecdir}/gweather-applet-2
%{_libexecdir}/mini_commander_applet
%{_libexecdir}/multiload-applet-2
%{_libexecdir}/null_applet

%if %{build_stickynotes}
%{_libexecdir}/stickynotes_applet
%endif

%{_libexecdir}/trashapplet
%{_libexecdir}/invest-applet
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/dbus-1/system.d/org.gnome.CPUFreqSelector.conf
%{_datadir}/polkit-1/actions/org.gnome.cpufreqselector.policy
%{_datadir}/dbus-1/system-services/org.gnome.CPUFreqSelector.service



%changelog

